Bug 1264604 - mock does not handle group 995 already existing
mock does not handle group 995 already existing
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 22:49 EDT by Ben Boeckel
Modified: 2016-02-08 09:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-08 09:25:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2015-09-18 22:49:07 EDT
Description of problem:
My install is old and I have a mock group with gid 995. When running mock, it fails when trying to create the mockbuild group with gid 995.

Mock should be more resilient against group 995 already existing as a different name (or claim it during install of the mock package).
Comment 1 Miroslav Suchý 2015-12-21 19:52:51 EST
Well rpm package has in %pre:
getent group mock > /dev/null || groupadd -f -g 135 -r mock

mockbuild group is created only in chroot. Which should be cleared after each build.

Can you elaborate what is you problem exactly?
Comment 2 Miroslav Suchý 2016-02-08 09:25:51 EST
No information provided.

Note You need to log in before you can comment on or make changes to this bug.